Makefile 38 KB

123456789101112131415161718192021222324252627282930313233343536373839404142434445464748495051525354555657585960616263646566676869707172737475767778798081828384858687888990919293949596979899100101102103104105106107108109110111112113114115116117118119120121122123124125126127128129130131132133134135136137138139140141142143144145146147148149150151152153154155156157158159160161162163164165166167168169170171172173174175176177178179180181182183184185186187188189190191192193194195196197198199200201202203204205206207208209210211212213214215216217218219220221222223224225226227228229230231232233234235236237238239240241242243244245246247248249250251252253254255256257258259260261262263264265266267268269270271272273274275276277278279280281282283284285286287288289290291292293294295296297298299300301302303304305306307308309310311312313314315316317318319320321322323324325326327328329330331332333334335336337338339340341342343344345346347348349350351352353354355356357358359360361362363364365366367368369370371372373374375376377378379380381382383384385386387388389390391392393394395396397398399400401402403404405406407408409410411412413414415416417418419420421422423424425426427428429430431432433434435436437438439440441442443444445446447448449450451452453454455456457458459460461462463464465466467468469470471472473474475476477478479480481482483484485486487488489490491492493494495496497498499500501502503504505506507508509510511512513514515516517518519520521522523524525526527528529530531532533534535536537538539540541542543544545546547548549550551552553554555556557558559560561562563564565566567568569570571572573574575576577578579580581582583584585586587588589590591592593594595596597598599600601602603604605606607608609610611612613614615616617618619620621622623624625626627628629630631632633634635636637638639640641642643644645646647648649650651652653654655656657658659660661662663664665666667668669670671672673674675676677678679680681682683684685686687688689690691692693694695696697698699700701702703704705706707708709710711712713714715716717718719720721722723724725726727728729730731732733734735736737738739740741742743744745746747748749750751752753754755756757758759760761762763764765766767768769770771772773774775776777778779780781782783784785786787788789790791792793794795796797798799800801802803804805806807808809810811812813814815816817818819820821822823824825826827828829830831832833834835836837838839840841842843844845846847848849850851852853854855856857858859860861862863864865866867868869870871872873874875876877878879880881882883884885886887888889890891892893894895896897898899900901902903904905906907908909910911912913914915916917918919920921922923924925926927928929930931932933934935936937938939940941942943944945946947948949950951952953954955956957958959960961962963964965966967968969970971972973974975976977978979980981982983984985986987988989990991992993994995996997998999100010011002100310041005100610071008100910101011101210131014101510161017101810191020102110221023102410251026102710281029103010311032103310341035103610371038103910401041104210431044104510461047104810491050105110521053105410551056105710581059106010611062106310641065106610671068106910701071107210731074107510761077107810791080108110821083108410851086108710881089109010911092109310941095109610971098109911001101110211031104110511061107110811091110111111121113111411151116111711181119112011211122112311241125112611271128112911301131113211331134113511361137113811391140114111421143114411451146
  1. # Makefile.in generated by automake 1.16.3 from Makefile.am.
  2. # modules/pam_setquota/Makefile. Generated from Makefile.in by configure.
  3. # Copyright (C) 1994-2020 Free Software Foundation, Inc.
  4. # This Makefile.in is free software; the Free Software Foundation
  5. # gives unlimited permission to copy and/or distribute it,
  6. # with or without modifications, as long as this notice is preserved.
  7. # This program is distributed in the hope that it will be useful,
  8. # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
  9. # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
  10. # PARTICULAR PURPOSE.
  11. am__is_gnu_make = { \
  12. if test -z '$(MAKELEVEL)'; then \
  13. false; \
  14. elif test -n '$(MAKE_HOST)'; then \
  15. true; \
  16. elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
  17. true; \
  18. else \
  19. false; \
  20. fi; \
  21. }
  22. am__make_running_with_option = \
  23. case $${target_option-} in \
  24. ?) ;; \
  25. *) echo "am__make_running_with_option: internal error: invalid" \
  26. "target option '$${target_option-}' specified" >&2; \
  27. exit 1;; \
  28. esac; \
  29. has_opt=no; \
  30. sane_makeflags=$$MAKEFLAGS; \
  31. if $(am__is_gnu_make); then \
  32. sane_makeflags=$$MFLAGS; \
  33. else \
  34. case $$MAKEFLAGS in \
  35. *\\[\ \ ]*) \
  36. bs=\\; \
  37. sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
  38. | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
  39. esac; \
  40. fi; \
  41. skip_next=no; \
  42. strip_trailopt () \
  43. { \
  44. flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  45. }; \
  46. for flg in $$sane_makeflags; do \
  47. test $$skip_next = yes && { skip_next=no; continue; }; \
  48. case $$flg in \
  49. *=*|--*) continue;; \
  50. -*I) strip_trailopt 'I'; skip_next=yes;; \
  51. -*I?*) strip_trailopt 'I';; \
  52. -*O) strip_trailopt 'O'; skip_next=yes;; \
  53. -*O?*) strip_trailopt 'O';; \
  54. -*l) strip_trailopt 'l'; skip_next=yes;; \
  55. -*l?*) strip_trailopt 'l';; \
  56. -[dEDm]) skip_next=yes;; \
  57. -[JT]) skip_next=yes;; \
  58. esac; \
  59. case $$flg in \
  60. *$$target_option*) has_opt=yes; break;; \
  61. esac; \
  62. done; \
  63. test $$has_opt = yes
  64. am__make_dryrun = (target_option=n; $(am__make_running_with_option))
  65. am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
  66. pkgdatadir = $(datadir)/Linux-PAM
  67. pkgincludedir = $(includedir)/Linux-PAM
  68. pkglibdir = $(libdir)/Linux-PAM
  69. pkglibexecdir = $(libexecdir)/Linux-PAM
  70. am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
  71. install_sh_DATA = $(install_sh) -c -m 644
  72. install_sh_PROGRAM = $(install_sh) -c
  73. install_sh_SCRIPT = $(install_sh) -c
  74. INSTALL_HEADER = $(INSTALL_DATA)
  75. transform = $(program_transform_name)
  76. NORMAL_INSTALL = :
  77. PRE_INSTALL = :
  78. POST_INSTALL = :
  79. NORMAL_UNINSTALL = :
  80. PRE_UNINSTALL = :
  81. POST_UNINSTALL = :
  82. build_triplet = x86_64-pc-linux-gnu
  83. host_triplet = arm-unknown-linux-gnueabihf
  84. am__append_1 = -Wl,--version-script=$(srcdir)/../modules.map
  85. subdir = modules/pam_setquota
  86. ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
  87. am__aclocal_m4_deps = $(top_srcdir)/m4/attribute.m4 \
  88. $(top_srcdir)/m4/gettext.m4 $(top_srcdir)/m4/iconv.m4 \
  89. $(top_srcdir)/m4/intlmacosx.m4 \
  90. $(top_srcdir)/m4/jh_path_xml_catalog.m4 \
  91. $(top_srcdir)/m4/ld-O1.m4 $(top_srcdir)/m4/ld-as-needed.m4 \
  92. $(top_srcdir)/m4/ld-no-undefined.m4 \
  93. $(top_srcdir)/m4/ld-z-now.m4 $(top_srcdir)/m4/lib-ld.m4 \
  94. $(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
  95. $(top_srcdir)/m4/libprelude.m4 $(top_srcdir)/m4/libtool.m4 \
  96. $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
  97. $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
  98. $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
  99. $(top_srcdir)/m4/progtest.m4 \
  100. $(top_srcdir)/m4/warn_lang_flags.m4 \
  101. $(top_srcdir)/m4/warnings.m4 $(top_srcdir)/configure.ac
  102. am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
  103. $(ACLOCAL_M4)
  104. DIST_COMMON = $(srcdir)/Makefile.am $(dist_check_SCRIPTS) \
  105. $(am__dist_noinst_DATA_DIST) $(am__DIST_COMMON)
  106. mkinstalldirs = $(install_sh) -d
  107. CONFIG_HEADER = $(top_builddir)/config.h
  108. CONFIG_CLEAN_FILES =
  109. CONFIG_CLEAN_VPATH_FILES =
  110. am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
  111. am__vpath_adj = case $$p in \
  112. $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
  113. *) f=$$p;; \
  114. esac;
  115. am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
  116. am__install_max = 40
  117. am__nobase_strip_setup = \
  118. srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
  119. am__nobase_strip = \
  120. for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
  121. am__nobase_list = $(am__nobase_strip_setup); \
  122. for p in $$list; do echo "$$p $$p"; done | \
  123. sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  124. $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
  125. if (++n[$$2] == $(am__install_max)) \
  126. { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
  127. END { for (dir in files) print dir, files[dir] }'
  128. am__base_list = \
  129. sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  130. sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
  131. am__uninstall_files_from_dir = { \
  132. test -z "$$files" \
  133. || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
  134. || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
  135. $(am__cd) "$$dir" && rm -f $$files; }; \
  136. }
  137. am__installdirs = "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man8dir)"
  138. LTLIBRARIES = $(securelib_LTLIBRARIES)
  139. pam_setquota_la_DEPENDENCIES = $(top_builddir)/libpam/libpam.la
  140. pam_setquota_la_SOURCES = pam_setquota.c
  141. pam_setquota_la_OBJECTS = pam_setquota.lo
  142. AM_V_lt = $(am__v_lt_$(V))
  143. am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
  144. am__v_lt_0 = --silent
  145. am__v_lt_1 =
  146. AM_V_P = $(am__v_P_$(V))
  147. am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
  148. am__v_P_0 = false
  149. am__v_P_1 = :
  150. AM_V_GEN = $(am__v_GEN_$(V))
  151. am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
  152. am__v_GEN_0 = @echo " GEN " $@;
  153. am__v_GEN_1 =
  154. AM_V_at = $(am__v_at_$(V))
  155. am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
  156. am__v_at_0 = @
  157. am__v_at_1 =
  158. DEFAULT_INCLUDES = -I. -I$(top_builddir)
  159. depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
  160. am__maybe_remake_depfiles = depfiles
  161. am__depfiles_remade = ./$(DEPDIR)/pam_setquota.Plo
  162. am__mv = mv -f
  163. COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
  164. $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
  165. LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  166. $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
  167. $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
  168. $(AM_CFLAGS) $(CFLAGS)
  169. AM_V_CC = $(am__v_CC_$(V))
  170. am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
  171. am__v_CC_0 = @echo " CC " $@;
  172. am__v_CC_1 =
  173. CCLD = $(CC)
  174. LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
  175. $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
  176. $(AM_LDFLAGS) $(LDFLAGS) -o $@
  177. AM_V_CCLD = $(am__v_CCLD_$(V))
  178. am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
  179. am__v_CCLD_0 = @echo " CCLD " $@;
  180. am__v_CCLD_1 =
  181. SOURCES = pam_setquota.c
  182. DIST_SOURCES = pam_setquota.c
  183. am__can_run_installinfo = \
  184. case $$AM_UPDATE_INFO_DIR in \
  185. n|no|NO) false;; \
  186. *) (install-info --version) >/dev/null 2>&1;; \
  187. esac
  188. man8dir = $(mandir)/man8
  189. NROFF = nroff
  190. MANS = $(dist_man_MANS)
  191. am__dist_noinst_DATA_DIST = README
  192. DATA = $(dist_noinst_DATA)
  193. am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
  194. # Read a list of newline-separated strings from the standard input,
  195. # and print each of them once, without duplicates. Input order is
  196. # *not* preserved.
  197. am__uniquify_input = $(AWK) '\
  198. BEGIN { nonempty = 0; } \
  199. { items[$$0] = 1; nonempty = 1; } \
  200. END { if (nonempty) { for (i in items) print i; }; } \
  201. '
  202. # Make sure the list of sources is unique. This is necessary because,
  203. # e.g., the same source file might be shared among _SOURCES variables
  204. # for different programs/libraries.
  205. am__define_uniq_tagged_files = \
  206. list='$(am__tagged_files)'; \
  207. unique=`for i in $$list; do \
  208. if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  209. done | $(am__uniquify_input)`
  210. ETAGS = etags
  211. CTAGS = ctags
  212. am__tty_colors_dummy = \
  213. mgn= red= grn= lgn= blu= brg= std=; \
  214. am__color_tests=no
  215. am__tty_colors = { \
  216. $(am__tty_colors_dummy); \
  217. if test "X$(AM_COLOR_TESTS)" = Xno; then \
  218. am__color_tests=no; \
  219. elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
  220. am__color_tests=yes; \
  221. elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
  222. am__color_tests=yes; \
  223. fi; \
  224. if test $$am__color_tests = yes; then \
  225. red=''; \
  226. grn=''; \
  227. lgn=''; \
  228. blu=''; \
  229. mgn=''; \
  230. brg=''; \
  231. std=''; \
  232. fi; \
  233. }
  234. am__recheck_rx = ^[ ]*:recheck:[ ]*
  235. am__global_test_result_rx = ^[ ]*:global-test-result:[ ]*
  236. am__copy_in_global_log_rx = ^[ ]*:copy-in-global-log:[ ]*
  237. # A command that, given a newline-separated list of test names on the
  238. # standard input, print the name of the tests that are to be re-run
  239. # upon "make recheck".
  240. am__list_recheck_tests = $(AWK) '{ \
  241. recheck = 1; \
  242. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  243. { \
  244. if (rc < 0) \
  245. { \
  246. if ((getline line2 < ($$0 ".log")) < 0) \
  247. recheck = 0; \
  248. break; \
  249. } \
  250. else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
  251. { \
  252. recheck = 0; \
  253. break; \
  254. } \
  255. else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
  256. { \
  257. break; \
  258. } \
  259. }; \
  260. if (recheck) \
  261. print $$0; \
  262. close ($$0 ".trs"); \
  263. close ($$0 ".log"); \
  264. }'
  265. # A command that, given a newline-separated list of test names on the
  266. # standard input, create the global log from their .trs and .log files.
  267. am__create_global_log = $(AWK) ' \
  268. function fatal(msg) \
  269. { \
  270. print "fatal: making $@: " msg | "cat >&2"; \
  271. exit 1; \
  272. } \
  273. function rst_section(header) \
  274. { \
  275. print header; \
  276. len = length(header); \
  277. for (i = 1; i <= len; i = i + 1) \
  278. printf "="; \
  279. printf "\n\n"; \
  280. } \
  281. { \
  282. copy_in_global_log = 1; \
  283. global_test_result = "RUN"; \
  284. while ((rc = (getline line < ($$0 ".trs"))) != 0) \
  285. { \
  286. if (rc < 0) \
  287. fatal("failed to read from " $$0 ".trs"); \
  288. if (line ~ /$(am__global_test_result_rx)/) \
  289. { \
  290. sub("$(am__global_test_result_rx)", "", line); \
  291. sub("[ ]*$$", "", line); \
  292. global_test_result = line; \
  293. } \
  294. else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
  295. copy_in_global_log = 0; \
  296. }; \
  297. if (copy_in_global_log) \
  298. { \
  299. rst_section(global_test_result ": " $$0); \
  300. while ((rc = (getline line < ($$0 ".log"))) != 0) \
  301. { \
  302. if (rc < 0) \
  303. fatal("failed to read from " $$0 ".log"); \
  304. print line; \
  305. }; \
  306. printf "\n"; \
  307. }; \
  308. close ($$0 ".trs"); \
  309. close ($$0 ".log"); \
  310. }'
  311. # Restructured Text title.
  312. am__rst_title = { sed 's/.*/ & /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
  313. # Solaris 10 'make', and several other traditional 'make' implementations,
  314. # pass "-e" to $(SHELL), and POSIX 2008 even requires this. Work around it
  315. # by disabling -e (using the XSI extension "set +e") if it's set.
  316. am__sh_e_setup = case $$- in *e*) set +e;; esac
  317. # Default flags passed to test drivers.
  318. am__common_driver_flags = \
  319. --color-tests "$$am__color_tests" \
  320. --enable-hard-errors "$$am__enable_hard_errors" \
  321. --expect-failure "$$am__expect_failure"
  322. # To be inserted before the command running the test. Creates the
  323. # directory for the log if needed. Stores in $dir the directory
  324. # containing $f, in $tst the test, in $log the log. Executes the
  325. # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
  326. # passes TESTS_ENVIRONMENT. Set up options for the wrapper that
  327. # will run the test scripts (or their associated LOG_COMPILER, if
  328. # thy have one).
  329. am__check_pre = \
  330. $(am__sh_e_setup); \
  331. $(am__vpath_adj_setup) $(am__vpath_adj) \
  332. $(am__tty_colors); \
  333. srcdir=$(srcdir); export srcdir; \
  334. case "$@" in \
  335. */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;; \
  336. *) am__odir=.;; \
  337. esac; \
  338. test "x$$am__odir" = x"." || test -d "$$am__odir" \
  339. || $(MKDIR_P) "$$am__odir" || exit $$?; \
  340. if test -f "./$$f"; then dir=./; \
  341. elif test -f "$$f"; then dir=; \
  342. else dir="$(srcdir)/"; fi; \
  343. tst=$$dir$$f; log='$@'; \
  344. if test -n '$(DISABLE_HARD_ERRORS)'; then \
  345. am__enable_hard_errors=no; \
  346. else \
  347. am__enable_hard_errors=yes; \
  348. fi; \
  349. case " $(XFAIL_TESTS) " in \
  350. *[\ \ ]$$f[\ \ ]* | *[\ \ ]$$dir$$f[\ \ ]*) \
  351. am__expect_failure=yes;; \
  352. *) \
  353. am__expect_failure=no;; \
  354. esac; \
  355. $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
  356. # A shell command to get the names of the tests scripts with any registered
  357. # extension removed (i.e., equivalently, the names of the test logs, with
  358. # the '.log' extension removed). The result is saved in the shell variable
  359. # '$bases'. This honors runtime overriding of TESTS and TEST_LOGS. Sadly,
  360. # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
  361. # since that might cause problem with VPATH rewrites for suffix-less tests.
  362. # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
  363. am__set_TESTS_bases = \
  364. bases='$(TEST_LOGS)'; \
  365. bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
  366. bases=`echo $$bases`
  367. AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
  368. RECHECK_LOGS = $(TEST_LOGS)
  369. AM_RECURSIVE_TARGETS = check recheck
  370. TEST_SUITE_LOG = test-suite.log
  371. TEST_EXTENSIONS = .test
  372. LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  373. LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
  374. am__set_b = \
  375. case '$@' in \
  376. */*) \
  377. case '$*' in \
  378. */*) b='$*';; \
  379. *) b=`echo '$@' | sed 's/\.log$$//'`; \
  380. esac;; \
  381. *) \
  382. b='$*';; \
  383. esac
  384. am__test_logs1 = $(TESTS:=.log)
  385. am__test_logs2 = $(am__test_logs1:.log=.log)
  386. TEST_LOGS = $(am__test_logs2:.test.log=.log)
  387. TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/build-aux/test-driver
  388. TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
  389. $(TEST_LOG_FLAGS)
  390. am__DIST_COMMON = $(dist_man_MANS) $(srcdir)/Makefile.in \
  391. $(top_srcdir)/build-aux/depcomp \
  392. $(top_srcdir)/build-aux/test-driver
  393. DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
  394. ACLOCAL = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' aclocal-1.16
  395. AMTAR = $${TAR-tar}
  396. AM_DEFAULT_VERBOSITY = 1
  397. AR = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-ar
  398. AUTOCONF = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' autoconf
  399. AUTOHEADER = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' autoheader
  400. AUTOMAKE = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' automake-1.16
  401. AWK = gawk
  402. BROWSER =
  403. BUILD_CFLAGS =
  404. BUILD_CPPFLAGS =
  405. BUILD_LDFLAGS =
  406. CC = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc
  407. CCDEPMODE = depmode=gcc3
  408. CC_FOR_BUILD = gcc
  409. CFLAGS = -g -O2
  410. CPP = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/bin/arm-linux-gnueabihf-gcc -E
  411. CPPFLAGS =
  412. CRYPTO_LIBS =
  413. CRYPT_CFLAGS =
  414. CRYPT_LIBS = -lcrypt
  415. CYGPATH_W = echo
  416. DEFS = -DHAVE_CONFIG_H
  417. DEPDIR = .deps
  418. DLLTOOL = false
  419. DSYMUTIL =
  420. DUMPBIN = :
  421. ECHO_C =
  422. ECHO_N = -n
  423. ECHO_T =
  424. ECONF_CFLAGS =
  425. ECONF_LIBS =
  426. EGREP = /bin/grep -E
  427. EXEEXT =
  428. EXE_CFLAGS = -fpie
  429. EXE_LDFLAGS = -pie -Wl,-z,now
  430. FGREP = /bin/grep -F
  431. FO2PDF =
  432. GETTEXT_MACRO_VERSION = 0.18
  433. GMSGFMT = /usr/bin/msgfmt
  434. GMSGFMT_015 = /usr/bin/msgfmt
  435. GREP = /bin/grep
  436. INSTALL = /usr/bin/install -c
  437. INSTALL_DATA = ${INSTALL} -m 644
  438. INSTALL_PROGRAM = ${INSTALL}
  439. INSTALL_SCRIPT = ${INSTALL}
  440. INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
  441. INTLLIBS =
  442. INTL_MACOSX_LIBS =
  443. LD = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/x86_64-arago-linux/usr/arm-linux-gnueabihf/bin/ld
  444. LDFLAGS = -Wl,--as-needed -Wl,--no-undefined -Wl,-O1
  445. LEX = flex
  446. LEXLIB = -lfl
  447. LEX_OUTPUT_ROOT = lex.yy
  448. LIBAUDIT =
  449. LIBCRYPT = -lcrypt
  450. LIBDB =
  451. LIBDL = -ldl
  452. LIBICONV = -liconv
  453. LIBINTL =
  454. LIBOBJS = ${LIBOBJDIR}memcmp$U.o
  455. LIBPRELUDE_CFLAGS =
  456. LIBPRELUDE_CONFIG = no
  457. LIBPRELUDE_CONFIG_PREFIX =
  458. LIBPRELUDE_LDFLAGS =
  459. LIBPRELUDE_LIBS =
  460. LIBPRELUDE_PREFIX =
  461. LIBPRELUDE_PTHREAD_CFLAGS =
  462. LIBS =
  463. LIBSELINUX =
  464. LIBTOOL = $(SHELL) $(top_builddir)/libtool
  465. LIPO =
  466. LN_S = ln -s
  467. LTLIBICONV = -liconv
  468. LTLIBINTL =
  469. LTLIBOBJS = ${LIBOBJDIR}memcmp$U.lo
  470. LT_SYS_LIBRARY_PATH =
  471. MAKEINFO = ${SHELL} '/opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/missing' makeinfo
  472. MANIFEST_TOOL = :
  473. MKDIR_P = /bin/mkdir -p
  474. MSGFMT = /usr/bin/msgfmt
  475. MSGFMT_015 = /usr/bin/msgfmt
  476. MSGMERGE = /usr/bin/msgmerge
  477. NIS_CFLAGS =
  478. NIS_LIBS =
  479. NM = nm
  480. NMEDIT =
  481. NSL_CFLAGS =
  482. NSL_LIBS = -lnsl
  483. OBJDUMP = objdump
  484. OBJEXT = o
  485. OTOOL =
  486. OTOOL64 =
  487. PACKAGE = Linux-PAM
  488. PACKAGE_BUGREPORT =
  489. PACKAGE_NAME = Linux-PAM
  490. PACKAGE_STRING = Linux-PAM 1.5.2
  491. PACKAGE_TARNAME = Linux-PAM
  492. PACKAGE_URL =
  493. PACKAGE_VERSION = 1.5.2
  494. PATH_SEPARATOR = :
  495. PKG_CONFIG = /usr/bin/pkg-config
  496. PKG_CONFIG_LIBDIR =
  497. PKG_CONFIG_PATH =
  498. POSUB = po
  499. RANLIB = ranlib
  500. SCONFIGDIR = ${prefix}/etc/security
  501. SECUREDIR = ${exec_prefix}/lib/security
  502. SED = /bin/sed
  503. SET_MAKE =
  504. SHELL = /bin/bash
  505. STRINGPARAM_HMAC =
  506. STRINGPARAM_VENDORDIR = --stringparam vendordir '<vendordir>'
  507. STRIP = strip
  508. TIRPC_CFLAGS =
  509. TIRPC_LIBS =
  510. USE_NLS = yes
  511. VERSION = 1.5.2
  512. WARN_CFLAGS = -W -Wall -Wbad-function-cast -Wcast-align -Wcast-qual -Wdeprecated -Winline -Wmain -Wmissing-declarations -Wmissing-format-attribute -Wmissing-prototypes -Wpointer-arith -Wreturn-type -Wshadow -Wstrict-prototypes -Wuninitialized -Wwrite-strings
  513. XGETTEXT = /usr/bin/xgettext
  514. XGETTEXT_015 = /usr/bin/xgettext
  515. XGETTEXT_EXTRA_OPTIONS =
  516. XMLCATALOG = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/armv7ahf-neon-linux-gnueabi/usr/bin/xmlcatalog
  517. XMLLINT = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/linux-devkit/sysroots/armv7ahf-neon-linux-gnueabi/usr/bin/xmllint
  518. XML_CATALOG_FILE = /etc/xml/catalog
  519. XSLTPROC = /usr/bin/xsltproc
  520. YACC = bison -y
  521. YFLAGS =
  522. abs_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/modules/pam_setquota
  523. abs_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/modules/pam_setquota
  524. abs_top_builddir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2
  525. abs_top_srcdir = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2
  526. ac_ct_AR =
  527. ac_ct_CC =
  528. ac_ct_DUMPBIN = link -dump
  529. am__include = include
  530. am__leading_dot = .
  531. am__quote =
  532. am__tar = $${TAR-tar} chof - "$$tardir"
  533. am__untar = $${TAR-tar} xf -
  534. bindir = ${exec_prefix}/bin
  535. build = x86_64-pc-linux-gnu
  536. build_alias =
  537. build_cpu = x86_64
  538. build_os = linux-gnu
  539. build_vendor = pc
  540. builddir = .
  541. datadir = ${datarootdir}
  542. datarootdir = ${prefix}/share
  543. docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
  544. dvidir = ${docdir}
  545. exec_prefix = ${prefix}
  546. host = arm-unknown-linux-gnueabihf
  547. host_alias = arm-linux-gnueabihf
  548. host_cpu = arm
  549. host_os = linux-gnueabihf
  550. host_vendor = unknown
  551. htmldir = ${docdir}
  552. includedir = ${prefix}/include
  553. infodir = ${datarootdir}/info
  554. install_sh = ${SHELL} /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/build-aux/install-sh
  555. libdir = ${exec_prefix}/lib
  556. libexecdir = ${exec_prefix}/libexec
  557. localedir = ${datarootdir}/locale
  558. localstatedir = ${prefix}/var
  559. mandir = ${datarootdir}/man
  560. mkdir_p = $(MKDIR_P)
  561. oldincludedir = /usr/include
  562. pam_xauth_path = /usr/bin/xauth
  563. pdfdir = ${docdir}
  564. prefix = /opt/ti-processor-sdk-linux-am335x-evm-04.02.00.09/EVSE/GPL/linux-pam-1.5.2/release
  565. program_transform_name = s,x,x,
  566. psdir = ${docdir}
  567. sbindir = ${exec_prefix}/sbin
  568. sharedstatedir = ${prefix}/com
  569. srcdir = .
  570. sysconfdir = ${prefix}/etc
  571. systemdunitdir =
  572. target_alias =
  573. top_build_prefix = ../../
  574. top_builddir = ../..
  575. top_srcdir = ../..
  576. CLEANFILES = *~
  577. MAINTAINERCLEANFILES = $(MANS) README
  578. EXTRA_DIST = $(XMLS)
  579. #dist_man_MANS = pam_setquota.8
  580. XMLS = README.xml pam_setquota.8.xml
  581. dist_check_SCRIPTS = tst-pam_setquota
  582. TESTS = $(dist_check_SCRIPTS)
  583. securelibdir = $(SECUREDIR)
  584. secureconfdir = $(SCONFIGDIR)
  585. AM_CFLAGS = -I$(top_srcdir)/libpam/include -I$(top_srcdir)/libpamc/include \
  586. $(WARN_CFLAGS)
  587. AM_LDFLAGS = -no-undefined -avoid-version -module $(am__append_1)
  588. securelib_LTLIBRARIES = pam_setquota.la
  589. pam_setquota_la_LIBADD = $(top_builddir)/libpam/libpam.la
  590. #dist_noinst_DATA = README
  591. all: all-am
  592. .SUFFIXES:
  593. .SUFFIXES: .c .lo .log .o .obj .test .test$(EXEEXT) .trs
  594. $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
  595. @for dep in $?; do \
  596. case '$(am__configure_deps)' in \
  597. *$$dep*) \
  598. ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
  599. && { if test -f $@; then exit 0; else break; fi; }; \
  600. exit 1;; \
  601. esac; \
  602. done; \
  603. echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu modules/pam_setquota/Makefile'; \
  604. $(am__cd) $(top_srcdir) && \
  605. $(AUTOMAKE) --gnu modules/pam_setquota/Makefile
  606. Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
  607. @case '$?' in \
  608. *config.status*) \
  609. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
  610. *) \
  611. echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
  612. cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
  613. esac;
  614. $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
  615. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  616. $(top_srcdir)/configure: $(am__configure_deps)
  617. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  618. $(ACLOCAL_M4): $(am__aclocal_m4_deps)
  619. cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
  620. $(am__aclocal_m4_deps):
  621. install-securelibLTLIBRARIES: $(securelib_LTLIBRARIES)
  622. @$(NORMAL_INSTALL)
  623. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  624. list2=; for p in $$list; do \
  625. if test -f $$p; then \
  626. list2="$$list2 $$p"; \
  627. else :; fi; \
  628. done; \
  629. test -z "$$list2" || { \
  630. echo " $(MKDIR_P) '$(DESTDIR)$(securelibdir)'"; \
  631. $(MKDIR_P) "$(DESTDIR)$(securelibdir)" || exit 1; \
  632. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(securelibdir)'"; \
  633. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(securelibdir)"; \
  634. }
  635. uninstall-securelibLTLIBRARIES:
  636. @$(NORMAL_UNINSTALL)
  637. @list='$(securelib_LTLIBRARIES)'; test -n "$(securelibdir)" || list=; \
  638. for p in $$list; do \
  639. $(am__strip_dir) \
  640. echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(securelibdir)/$$f'"; \
  641. $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(securelibdir)/$$f"; \
  642. done
  643. clean-securelibLTLIBRARIES:
  644. -test -z "$(securelib_LTLIBRARIES)" || rm -f $(securelib_LTLIBRARIES)
  645. @list='$(securelib_LTLIBRARIES)'; \
  646. locs=`for p in $$list; do echo $$p; done | \
  647. sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
  648. sort -u`; \
  649. test -z "$$locs" || { \
  650. echo rm -f $${locs}; \
  651. rm -f $${locs}; \
  652. }
  653. pam_setquota.la: $(pam_setquota_la_OBJECTS) $(pam_setquota_la_DEPENDENCIES) $(EXTRA_pam_setquota_la_DEPENDENCIES)
  654. $(AM_V_CCLD)$(LINK) -rpath $(securelibdir) $(pam_setquota_la_OBJECTS) $(pam_setquota_la_LIBADD) $(LIBS)
  655. mostlyclean-compile:
  656. -rm -f *.$(OBJEXT)
  657. distclean-compile:
  658. -rm -f *.tab.c
  659. include ./$(DEPDIR)/pam_setquota.Plo # am--include-marker
  660. $(am__depfiles_remade):
  661. @$(MKDIR_P) $(@D)
  662. @echo '# dummy' >$@-t && $(am__mv) $@-t $@
  663. am--depfiles: $(am__depfiles_remade)
  664. .c.o:
  665. $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  666. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  667. # $(AM_V_CC)source='$<' object='$@' libtool=no \
  668. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  669. # $(AM_V_CC_no)$(COMPILE) -c -o $@ $<
  670. .c.obj:
  671. $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
  672. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
  673. # $(AM_V_CC)source='$<' object='$@' libtool=no \
  674. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  675. # $(AM_V_CC_no)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
  676. .c.lo:
  677. $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
  678. $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
  679. # $(AM_V_CC)source='$<' object='$@' libtool=yes \
  680. # DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
  681. # $(AM_V_CC_no)$(LTCOMPILE) -c -o $@ $<
  682. mostlyclean-libtool:
  683. -rm -f *.lo
  684. clean-libtool:
  685. -rm -rf .libs _libs
  686. install-man8: $(dist_man_MANS)
  687. @$(NORMAL_INSTALL)
  688. @list1=''; \
  689. list2='$(dist_man_MANS)'; \
  690. test -n "$(man8dir)" \
  691. && test -n "`echo $$list1$$list2`" \
  692. || exit 0; \
  693. echo " $(MKDIR_P) '$(DESTDIR)$(man8dir)'"; \
  694. $(MKDIR_P) "$(DESTDIR)$(man8dir)" || exit 1; \
  695. { for i in $$list1; do echo "$$i"; done; \
  696. if test -n "$$list2"; then \
  697. for i in $$list2; do echo "$$i"; done \
  698. | sed -n '/\.8[a-z]*$$/p'; \
  699. fi; \
  700. } | while read p; do \
  701. if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
  702. echo "$$d$$p"; echo "$$p"; \
  703. done | \
  704. sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  705. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
  706. sed 'N;N;s,\n, ,g' | { \
  707. list=; while read file base inst; do \
  708. if test "$$base" = "$$inst"; then list="$$list $$file"; else \
  709. echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man8dir)/$$inst'"; \
  710. $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man8dir)/$$inst" || exit $$?; \
  711. fi; \
  712. done; \
  713. for i in $$list; do echo "$$i"; done | $(am__base_list) | \
  714. while read files; do \
  715. test -z "$$files" || { \
  716. echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man8dir)'"; \
  717. $(INSTALL_DATA) $$files "$(DESTDIR)$(man8dir)" || exit $$?; }; \
  718. done; }
  719. uninstall-man8:
  720. @$(NORMAL_UNINSTALL)
  721. @list=''; test -n "$(man8dir)" || exit 0; \
  722. files=`{ for i in $$list; do echo "$$i"; done; \
  723. l2='$(dist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
  724. sed -n '/\.8[a-z]*$$/p'; \
  725. } | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^8][0-9a-z]*$$,8,;x' \
  726. -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
  727. dir='$(DESTDIR)$(man8dir)'; $(am__uninstall_files_from_dir)
  728. ID: $(am__tagged_files)
  729. $(am__define_uniq_tagged_files); mkid -fID $$unique
  730. tags: tags-am
  731. TAGS: tags
  732. tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  733. set x; \
  734. here=`pwd`; \
  735. $(am__define_uniq_tagged_files); \
  736. shift; \
  737. if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
  738. test -n "$$unique" || unique=$$empty_fix; \
  739. if test $$# -gt 0; then \
  740. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  741. "$$@" $$unique; \
  742. else \
  743. $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
  744. $$unique; \
  745. fi; \
  746. fi
  747. ctags: ctags-am
  748. CTAGS: ctags
  749. ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
  750. $(am__define_uniq_tagged_files); \
  751. test -z "$(CTAGS_ARGS)$$unique" \
  752. || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
  753. $$unique
  754. GTAGS:
  755. here=`$(am__cd) $(top_builddir) && pwd` \
  756. && $(am__cd) $(top_srcdir) \
  757. && gtags -i $(GTAGS_ARGS) "$$here"
  758. cscopelist: cscopelist-am
  759. cscopelist-am: $(am__tagged_files)
  760. list='$(am__tagged_files)'; \
  761. case "$(srcdir)" in \
  762. [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
  763. *) sdir=$(subdir)/$(srcdir) ;; \
  764. esac; \
  765. for i in $$list; do \
  766. if test -f "$$i"; then \
  767. echo "$(subdir)/$$i"; \
  768. else \
  769. echo "$$sdir/$$i"; \
  770. fi; \
  771. done >> $(top_builddir)/cscope.files
  772. distclean-tags:
  773. -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
  774. # Recover from deleted '.trs' file; this should ensure that
  775. # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
  776. # both 'foo.log' and 'foo.trs'. Break the recipe in two subshells
  777. # to avoid problems with "make -n".
  778. .log.trs:
  779. rm -f $< $@
  780. $(MAKE) $(AM_MAKEFLAGS) $<
  781. # Leading 'am--fnord' is there to ensure the list of targets does not
  782. # expand to empty, as could happen e.g. with make check TESTS=''.
  783. am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
  784. am--force-recheck:
  785. @:
  786. $(TEST_SUITE_LOG): $(TEST_LOGS)
  787. @$(am__set_TESTS_bases); \
  788. am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
  789. redo_bases=`for i in $$bases; do \
  790. am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
  791. done`; \
  792. if test -n "$$redo_bases"; then \
  793. redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
  794. redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
  795. if $(am__make_dryrun); then :; else \
  796. rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
  797. fi; \
  798. fi; \
  799. if test -n "$$am__remaking_logs"; then \
  800. echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
  801. "recursion detected" >&2; \
  802. elif test -n "$$redo_logs"; then \
  803. am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
  804. fi; \
  805. if $(am__make_dryrun); then :; else \
  806. st=0; \
  807. errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
  808. for i in $$redo_bases; do \
  809. test -f $$i.trs && test -r $$i.trs \
  810. || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
  811. test -f $$i.log && test -r $$i.log \
  812. || { echo "$$errmsg $$i.log" >&2; st=1; }; \
  813. done; \
  814. test $$st -eq 0 || exit 1; \
  815. fi
  816. @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
  817. ws='[ ]'; \
  818. results=`for b in $$bases; do echo $$b.trs; done`; \
  819. test -n "$$results" || results=/dev/null; \
  820. all=` grep "^$$ws*:test-result:" $$results | wc -l`; \
  821. pass=` grep "^$$ws*:test-result:$$ws*PASS" $$results | wc -l`; \
  822. fail=` grep "^$$ws*:test-result:$$ws*FAIL" $$results | wc -l`; \
  823. skip=` grep "^$$ws*:test-result:$$ws*SKIP" $$results | wc -l`; \
  824. xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
  825. xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
  826. error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
  827. if test `expr $$fail + $$xpass + $$error` -eq 0; then \
  828. success=true; \
  829. else \
  830. success=false; \
  831. fi; \
  832. br='==================='; br=$$br$$br$$br$$br; \
  833. result_count () \
  834. { \
  835. if test x"$$1" = x"--maybe-color"; then \
  836. maybe_colorize=yes; \
  837. elif test x"$$1" = x"--no-color"; then \
  838. maybe_colorize=no; \
  839. else \
  840. echo "$@: invalid 'result_count' usage" >&2; exit 4; \
  841. fi; \
  842. shift; \
  843. desc=$$1 count=$$2; \
  844. if test $$maybe_colorize = yes && test $$count -gt 0; then \
  845. color_start=$$3 color_end=$$std; \
  846. else \
  847. color_start= color_end=; \
  848. fi; \
  849. echo "$${color_start}# $$desc $$count$${color_end}"; \
  850. }; \
  851. create_testsuite_report () \
  852. { \
  853. result_count $$1 "TOTAL:" $$all "$$brg"; \
  854. result_count $$1 "PASS: " $$pass "$$grn"; \
  855. result_count $$1 "SKIP: " $$skip "$$blu"; \
  856. result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
  857. result_count $$1 "FAIL: " $$fail "$$red"; \
  858. result_count $$1 "XPASS:" $$xpass "$$red"; \
  859. result_count $$1 "ERROR:" $$error "$$mgn"; \
  860. }; \
  861. { \
  862. echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" | \
  863. $(am__rst_title); \
  864. create_testsuite_report --no-color; \
  865. echo; \
  866. echo ".. contents:: :depth: 2"; \
  867. echo; \
  868. for b in $$bases; do echo $$b; done \
  869. | $(am__create_global_log); \
  870. } >$(TEST_SUITE_LOG).tmp || exit 1; \
  871. mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG); \
  872. if $$success; then \
  873. col="$$grn"; \
  874. else \
  875. col="$$red"; \
  876. test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG); \
  877. fi; \
  878. echo "$${col}$$br$${std}"; \
  879. echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}"; \
  880. echo "$${col}$$br$${std}"; \
  881. create_testsuite_report --maybe-color; \
  882. echo "$$col$$br$$std"; \
  883. if $$success; then :; else \
  884. echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}"; \
  885. if test -n "$(PACKAGE_BUGREPORT)"; then \
  886. echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
  887. fi; \
  888. echo "$$col$$br$$std"; \
  889. fi; \
  890. $$success || exit 1
  891. check-TESTS: $(dist_check_SCRIPTS)
  892. @list='$(RECHECK_LOGS)'; test -z "$$list" || rm -f $$list
  893. @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
  894. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  895. @set +e; $(am__set_TESTS_bases); \
  896. log_list=`for i in $$bases; do echo $$i.log; done`; \
  897. trs_list=`for i in $$bases; do echo $$i.trs; done`; \
  898. log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
  899. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
  900. exit $$?;
  901. recheck: all $(dist_check_SCRIPTS)
  902. @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  903. @set +e; $(am__set_TESTS_bases); \
  904. bases=`for i in $$bases; do echo $$i; done \
  905. | $(am__list_recheck_tests)` || exit 1; \
  906. log_list=`for i in $$bases; do echo $$i.log; done`; \
  907. log_list=`echo $$log_list`; \
  908. $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
  909. am__force_recheck=am--force-recheck \
  910. TEST_LOGS="$$log_list"; \
  911. exit $$?
  912. tst-pam_setquota.log: tst-pam_setquota
  913. @p='tst-pam_setquota'; \
  914. b='tst-pam_setquota'; \
  915. $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
  916. --log-file $$b.log --trs-file $$b.trs \
  917. $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
  918. "$$tst" $(AM_TESTS_FD_REDIRECT)
  919. .test.log:
  920. @p='$<'; \
  921. $(am__set_b); \
  922. $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  923. --log-file $$b.log --trs-file $$b.trs \
  924. $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  925. "$$tst" $(AM_TESTS_FD_REDIRECT)
  926. #.test$(EXEEXT).log:
  927. # @p='$<'; \
  928. # $(am__set_b); \
  929. # $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
  930. # --log-file $$b.log --trs-file $$b.trs \
  931. # $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
  932. # "$$tst" $(AM_TESTS_FD_REDIRECT)
  933. distdir: $(BUILT_SOURCES)
  934. $(MAKE) $(AM_MAKEFLAGS) distdir-am
  935. distdir-am: $(DISTFILES)
  936. @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  937. topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
  938. list='$(DISTFILES)'; \
  939. dist_files=`for file in $$list; do echo $$file; done | \
  940. sed -e "s|^$$srcdirstrip/||;t" \
  941. -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
  942. case $$dist_files in \
  943. */*) $(MKDIR_P) `echo "$$dist_files" | \
  944. sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
  945. sort -u` ;; \
  946. esac; \
  947. for file in $$dist_files; do \
  948. if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
  949. if test -d $$d/$$file; then \
  950. dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
  951. if test -d "$(distdir)/$$file"; then \
  952. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  953. fi; \
  954. if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
  955. cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
  956. find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
  957. fi; \
  958. cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
  959. else \
  960. test -f "$(distdir)/$$file" \
  961. || cp -p $$d/$$file "$(distdir)/$$file" \
  962. || exit 1; \
  963. fi; \
  964. done
  965. check-am: all-am
  966. $(MAKE) $(AM_MAKEFLAGS) $(dist_check_SCRIPTS)
  967. $(MAKE) $(AM_MAKEFLAGS) check-TESTS
  968. check: check-am
  969. all-am: Makefile $(LTLIBRARIES) $(MANS) $(DATA)
  970. installdirs:
  971. for dir in "$(DESTDIR)$(securelibdir)" "$(DESTDIR)$(man8dir)"; do \
  972. test -z "$$dir" || $(MKDIR_P) "$$dir"; \
  973. done
  974. install: install-am
  975. install-exec: install-exec-am
  976. install-data: install-data-am
  977. uninstall: uninstall-am
  978. install-am: all-am
  979. @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
  980. installcheck: installcheck-am
  981. install-strip:
  982. if test -z '$(STRIP)'; then \
  983. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  984. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  985. install; \
  986. else \
  987. $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
  988. install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
  989. "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
  990. fi
  991. mostlyclean-generic:
  992. -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
  993. -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
  994. -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
  995. clean-generic:
  996. -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
  997. distclean-generic:
  998. -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
  999. -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
  1000. maintainer-clean-generic:
  1001. @echo "This command is intended for maintainers to use"
  1002. @echo "it deletes files that may require special tools to rebuild."
  1003. -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
  1004. clean: clean-am
  1005. clean-am: clean-generic clean-libtool clean-securelibLTLIBRARIES \
  1006. mostlyclean-am
  1007. distclean: distclean-am
  1008. -rm -f ./$(DEPDIR)/pam_setquota.Plo
  1009. -rm -f Makefile
  1010. distclean-am: clean-am distclean-compile distclean-generic \
  1011. distclean-tags
  1012. dvi: dvi-am
  1013. dvi-am:
  1014. html: html-am
  1015. html-am:
  1016. info: info-am
  1017. info-am:
  1018. install-data-am: install-man install-securelibLTLIBRARIES
  1019. install-dvi: install-dvi-am
  1020. install-dvi-am:
  1021. install-exec-am:
  1022. install-html: install-html-am
  1023. install-html-am:
  1024. install-info: install-info-am
  1025. install-info-am:
  1026. install-man: install-man8
  1027. install-pdf: install-pdf-am
  1028. install-pdf-am:
  1029. install-ps: install-ps-am
  1030. install-ps-am:
  1031. installcheck-am:
  1032. maintainer-clean: maintainer-clean-am
  1033. -rm -f ./$(DEPDIR)/pam_setquota.Plo
  1034. -rm -f Makefile
  1035. maintainer-clean-am: distclean-am maintainer-clean-generic
  1036. mostlyclean: mostlyclean-am
  1037. mostlyclean-am: mostlyclean-compile mostlyclean-generic \
  1038. mostlyclean-libtool
  1039. pdf: pdf-am
  1040. pdf-am:
  1041. ps: ps-am
  1042. ps-am:
  1043. uninstall-am: uninstall-man uninstall-securelibLTLIBRARIES
  1044. uninstall-man: uninstall-man8
  1045. .MAKE: check-am install-am install-strip
  1046. .PHONY: CTAGS GTAGS TAGS all all-am am--depfiles check check-TESTS \
  1047. check-am clean clean-generic clean-libtool \
  1048. clean-securelibLTLIBRARIES cscopelist-am ctags ctags-am \
  1049. distclean distclean-compile distclean-generic \
  1050. distclean-libtool distclean-tags distdir dvi dvi-am html \
  1051. html-am info info-am install install-am install-data \
  1052. install-data-am install-dvi install-dvi-am install-exec \
  1053. install-exec-am install-html install-html-am install-info \
  1054. install-info-am install-man install-man8 install-pdf \
  1055. install-pdf-am install-ps install-ps-am \
  1056. install-securelibLTLIBRARIES install-strip installcheck \
  1057. installcheck-am installdirs maintainer-clean \
  1058. maintainer-clean-generic mostlyclean mostlyclean-compile \
  1059. mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
  1060. recheck tags tags-am uninstall uninstall-am uninstall-man \
  1061. uninstall-man8 uninstall-securelibLTLIBRARIES
  1062. .PRECIOUS: Makefile
  1063. #-include $(top_srcdir)/Make.xml.rules
  1064. # Tell versions [3.59,3.63) of GNU make to not export all variables.
  1065. # Otherwise a system limit (for SysV at least) may be exceeded.
  1066. .NOEXPORT: